package com.microservices.zone.project.domain.vo;

import com.microservices.common.core.utils.StringUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author otto
 */

@Data
@ApiModel("GitLink项目搜索对象")
public class GitLinkProjectSearchVo extends MyGitLinkProjectSearchVo {
    @ApiModelProperty(value = "项目语言")
    private Long languageId;

    public String genQueryString() {
        StringBuilder queryString = super.genBaseQueryString();
        if (languageId != null) {
            queryString.append("&language_id=").append(languageId);
        }
        return queryString.toString();
    }
}
